Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358132 - SELinux is preventing brcupsconfpt1 from 'execute' accesses on the file /etc/ld.so.cache.
Summary: SELinux is preventing brcupsconfpt1 from 'execute' accesses on the file /etc/...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:81e21f553896b7909d45e810194...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 06:47 UTC by Jonathon Poppleton
Modified: 2017-08-08 15:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:43:24 UTC


Attachments (Terms of Use)

Description Jonathon Poppleton 2016-07-20 06:47:56 UTC
Description of problem:
i have installed the latest rpms for a brother HL-3170CDW printer. I need to set selinux to 
permissive mode to be able to successfully print a document. 

setenforce 0

[root@localhost jonathon]# rpm -q hl3170cdwcupswrapper
hl3170cdwcupswrapper-1.1.4-0.i386
[root@localhost jonathon]# rpm -q hl3170cdwlpr-1.1.2-1.i386
hl3170cdwlpr-1.1.2-1.i386
SELinux is preventing brcupsconfpt1 from 'execute' accesses on the file /etc/ld.so.cache.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that brcupsconfpt1 should be allowed execute access on the ld.so.cache file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'brcupsconfpt1' --raw | audit2allow -M my-brcupsconfpt1
# semodule -X 300 -i my-brcupsconfpt1.pp

Additional Information:
Source Context                system_u:system_r:cupsd_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:ld_so_cache_t:s0
Target Objects                /etc/ld.so.cache [ file ]
Source                        brcupsconfpt1
Source Path                   brcupsconfpt1
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           glibc-2.23.1-8.fc24.x86_64
                              glibc-2.23.1-8.fc24.i686
Policy RPM                    selinux-policy-3.13.1-191.5.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.6.3-300.fc24.x86_64 #1 SMP Fri
                              Jun 24 20:52:41 UTC 2016 x86_64 x86_64
Alert Count                   2
First Seen                    2016-07-20 15:03:54 AEST
Last Seen                     2016-07-20 15:17:03 AEST
Local ID                      8c55d394-53b8-4aa6-b25e-624f8d82feb7

Raw Audit Messages
type=AVC msg=audit(1468991823.369:240): avc:  denied  { execute } for  pid=13825 comm="brcupsconfpt1" path="/etc/ld.so.cache" dev="sda6" ino=1061738 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:ld_so_cache_t:s0 tclass=file permissive=1


Hash: brcupsconfpt1,cupsd_t,ld_so_cache_t,file,execute

Version-Release number of selected component:
selinux-policy-3.13.1-191.5.fc24.noarch

Additional info:
reporter:       libreport-2.7.1
hashmarkername: setroubleshoot
kernel:         4.6.3-300.fc24.x86_64
reproducible:   Not sure how to reproduce the problem
type:           libreport

Potential duplicate: bug 1257617

Comment 1 Fedora Admin XMLRPC Client 2016-09-27 15:08:35 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Luca 2016-11-16 18:05:00 UTC
Description of problem:
i have a brother DCP-195C 
when i want print selinux sen this allarm

Version-Release number of selected component:
selinux-policy-3.13.1-191.20.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.8.6-201.fc24.x86_64
type:           libreport

Comment 3 genady.bond 2016-11-21 21:11:57 UTC
Description of problem:
probably using wireless printer HL3140CW

Version-Release number of selected component:
selinux-policy-3.13.1-191.21.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.8.8-200.fc24.x86_64
type:           libreport

Comment 4 genady.bond 2017-02-25 15:44:22 UTC
Description of problem:
1. install hl-3140cw printer driver
2. print a page


Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.9.10-100.fc24.x86_64
type:           libreport

Comment 5 Fedora End Of Life 2017-07-25 21:54:51 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-08-08 15:43:24 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.